GET /campaigns/list

braze.com

Summary: Campaign List
Operation ID: campaignList
Auth: unknown
Description

This endpoint allows you to export a list of campaigns, each of which will include its name, Campaign API Identifier, whether it is an API Campaign, and Tags associated with the campaign. The campaigns are returned in groups of 100 sorted by time of creation (oldest to newest by default). ## Campaign List Endpoint API Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "message": (required, string) the status of the export, returns 'success' when completed without errors, "campaigns" : [ { "id" : (string) Campaign API Identifier, "last_edited": (ISO 8601 string) the last edited time for the message "name" : (string) campaign name, "is_api_campaign" : (boolean) whether the campaign is an API Campaign, "tags" : (array) tag names associated with the campaign }, ... ] } ```

Parameters (4)

include_archived (string, query, optional)

(Optional) Boolean Whether or not to include archived campaigns, defaults to false

last_edit.time[gt] (string, query, optional)

(Optional) DateTime (ISO 8601 string) Filters the results and only returns campaigns that were edited greater than the time provided till now.

page (string, query, optional)

(Optional) Integer The page of campaigns to return, defaults to 0 (returns the first set of up to 100)

sort_direction (string, query, optional)

(Optional) String Pass in the value `desc` to sort by creation time from newest to oldest. Pass in `asc` to sort from oldest to newest. If sort_direction is not included, the default order is oldest to newest.

No probe data for this endpoint yet.